Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QWizard.WizardStyle

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QWizard.WizardStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWizard

    public static final class QWizard.WizardStyle

extends java.lang.Enum
implements QtEnumerator

This enum specifies the different looks supported by `QWizard`.

See also:
  setWizardStyle(), `WizardOption` , and `Wizard Look and Feel`.

See Also:
  Serialized Form

Field Summary
`static QWizard.WizardStyle` | `AeroStyle` Windows Aero look
`static QWizard.WizardStyle` | `ClassicStyle` Classic Windows look
`static QWizard.WizardStyle` | `MacStyle` Mac OS X look
`static QWizard.WizardStyle` | `ModernStyle` Modern Windows look
`static QWizard.WizardStyle` | `NStyles`

Method Summary
`static QWizard.WizardStyle` | `resolve(int value)` Returns the QWizard$WizardStyle constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWizard.WizardStyle` | `valueOf(java.lang.String name)`
`static QWizard.WizardStyle[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ClassicStyle

    public static final QWizard.WizardStyle ClassicStyle

  Classic Windows look

### ModernStyle

    public static final QWizard.WizardStyle ModernStyle

  Modern Windows look

### MacStyle

    public static final QWizard.WizardStyle MacStyle

  Mac OS X look

### AeroStyle

    public static final QWizard.WizardStyle AeroStyle

  Windows Aero look

### NStyles

    public static final QWizard.WizardStyle NStyles

Method Detail

### values

    public static QWizard.WizardStyle[] values()

### valueOf

    public static QWizard.WizardStyle valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWizard.WizardStyle resolve(int value)

  Returns the QWizard$WizardStyle constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD